Bug 219759 - ps doesn't display usernames > 8 characters
ps doesn't display usernames > 8 characters
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: procps (Show other bugs)
6
All Linux
medium Severity low
: ---
: ---
Assigned To: Karel Zak
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-15 02:37 EST by Pavel Urban
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-25 15:30:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Urban 2006-12-15 02:37:08 EST
Description of problem:
When a prosess runs under username with length > 8 characters, only UID is
displayed.

Version-Release number of selected component (if applicable):
procps-3.2.7-8

How reproducible:
Always

Steps to Reproduce:
1. useradd longusername
2. su -
3. ps -f
  
Actual results:
[longusername@mufinek ~]$ ps -f
UID        PID  PPID  C STIME TTY          TIME CMD
500       4070  4069  1 09:31 pts/1    00:00:00 -bash
500       4088  4070  0 09:31 pts/1    00:00:00 ps -f


Expected results:
[longusername@mufinek ~]$ ps -f
UID        PID  PPID  C STIME TTY          TIME CMD
longusername       4070  4069  1 09:31 pts/1    00:00:00 -bash
longusername       4088  4070  0 09:31 pts/1    00:00:00 ps -f

...or maybe the username cut after the eigth character?

Additional info:
Maybe it's just a flavor, but I haven't noticed this behaviour mentioned in
docs/man page/etc
Comment 1 Albert Cahalan 2006-12-25 14:00:14 EST
http://procps.sourceforge.net/faq.html
Comment 2 Pavel Urban 2006-12-25 15:30:39 EST
Ahh... so another place to look at. Thanks a lot!

Note You need to log in before you can comment on or make changes to this bug.